import { Character } from './character';

type ConstructorProps = {
	bgColor: string;
	size: number;
};

export class SimpleCharacter implements Character {
	private readonly bgColor: string;
	private readonly size: number;

	constructor(props: ConstructorProps) {
		this.bgColor = props.bgColor;
		this.size = props.size;
	}

	draw(ctx: CanvasRenderingContext2D) {
		ctx.fillStyle = this.bgColor;
		ctx.strokeStyle = 'black';
		ctx.beginPath();
		ctx.arc(0, 0, this.size, 0, 2 * Math.PI, false);
		ctx.stroke();
		ctx.fill();
	}

	update(dt: number): void {}
}

export default SimpleCharacter;
